
#include "World.h"

World::World() {
	pPlayer = nullptr;
	pEnemy = nullptr;
}

World::~World() {
	for( unsigned int i = 0; i < vecBullets.size(); i++ ) {
		delete vecBullets[i];
	}
}

//プレイヤーの弾を追加
void World::AddPlayerBullet(PlayerBullet *pBullet) {
	vecBullets.push_back(pBullet);
}

//世界を更新
void World::Update() {
	for( unsigned int i = 0; i < vecBullets.size(); i++ ) {
		vecBullets[i]->Update();
	}
	pEnemy->Update();
	pPlayer->Update();
}

//世界を描画
void World::Draw() {
	for( unsigned int i = 0; i < vecBullets.size(); i++ ) {
		vecBullets[i]->Draw();
	}
	pEnemy->Draw();
	pPlayer->Draw();
}

